<?





/*
$tab2tab[0][1000000]=45;
$tab2tab[0][1500000]=150;
$tab2tab[0][2000000]=200;
$tab2tab[0][2500000]=250;
$tab2tab[0][3000000]=305;

$tab2tab[1][1000000]=40;
$tab2tab[1][1500000]=100;
$tab2tab[1][2000000]=150;
$tab2tab[1][2500000]=200;
$tab2tab[1][3000000]=250;

$tab2tab[2][1000000]=190;
$tab2tab[2][1500000]=175;
$tab2tab[2][2000000]=140;
$tab2tab[2][2500000]=180;
$tab2tab[2][3000000]=200;

$tab2tab[3][1000000]=60;
$tab2tab[3][1500000]=65;
$tab2tab[3][2000000]=80;
$tab2tab[3][2500000]=90;
$tab2tab[3][3000000]=100;

$coul[0]='aaaaff';
$coul[1]='bbbbff';
$coul[2]='ccccff';
$coul[3]='ddddff';

$typeG[0]=1;
$typeG[1]=1;
$typeG[2]=1;
$typeG[3]=1;
*/


#	les paramètres:
#	$Tableau est un tableau de tableaux
#	$TabMax indique quel tableau a la plus grande valeur,
#		par défaut, le premier donne la valeur la plus grande
#		sert à calculer automatiquement la taille du repère !!!
#	$Couleur est un tableau contenant autant de ligne que $Tableau de tableaux...
#		comme çà on a une couleur par tableau
#		$Couleur[3]='ff6600' indique que le $Tableau[3] sera graphé en orange
#	$TypeGraphe est un tableau contenant autant de ligne que $Tableau de tableaux...
#		$TypeGraphe[0]=0 pour tracer des points avec le $Tableau[0]
#		$TypeGraphe[5]=1 pour tracer des segments entre les points (par défaut) avec le $Tableau[5]
#		$TypeGraphe[2]=2 pour tracer des rectangle (histogramme) avec le $Tableau[2]
function array_to_graphe($Tableau,$TabMax=0,$Couleur,$TypeGraphe)
{
	# il faut graphique.php3 dans le meme répertoire
	require ('graphique.php3');
	
	# Creation du graphique
	$graphique = new graphique;
	$RepereOptimal = $graphique->calculrepereoptimal($Tableau[$TabMax],0);
	$graphique->repere(500,400,70,1,$RepereOptimal,'ffffff','000000','000000','ff6600','6666ff','dddddd');
	
	for ($i=0 ; $i<count($Tableau) ; $i++)
	{
		if($Couleur[$i] == "") $Couleur[$i] = "000000"; # noir par défaut
		
		# le traçage des points avec $graphique->tracepoint($Tableau[$i],$Couleur[$i]);
		if ($TypeGraphe[$i]==0)
			$graphique->tracepoint($Tableau[$i],$Couleur[$i]);
		# le traçage des rectangles avec $graphique->tracehisto($Tableau[$i],$Couleur[$i]);
		elseif ($TypeGraphe[$i]==2)
			$graphique->tracehisto($Tableau[$i],$Couleur[$i]);
		# le traçage des segments avec $graphique->tracesegment($Tableau[$i],$Couleur[$i]);
		else
			$graphique->tracesegment($Tableau[$i],$Couleur[$i]); # segments par défaut
	}
	
	# Visionnage du graphe et sa destruction dans la RAM pour ne le laisser qu'en fichier .gif.
	if (function_exists("imagegif")) {
	 	imagegif($graphique,'graphique.gif');
		echo "<img src='graphique.gif' border=0>";
	}
	elseif (function_exists("imageJpeg")) {
		imagejpeg($graphique,'graphique.jpg', 0.5);
		echo "<img src='graphique.jpg' border=0>";
	}
	elseif (function_exists("imagePng")) {
		imagepng($graphique,'graphique.png');
		echo "<img src='graphique.png' border=0>";
	}
	elseif (function_exists("imagewbmp")) {
		 imagewbmp($graphique,'graphique.wbmp');
		echo "<img src='graphique.wbmp' border=0>";
	}
	else
		die("Pas de support graphique avec PHP sur ce serveur");
	imagedestroy($graphique);
	
}

if (function_exists("imagecreate")) array_to_graphe($tab2tab,0,$coul,$typeG); ?>